SDL_HINT_AUDIO_DRIVER(3)

NAME
SDL_HINT_AUDIO_DRIVER - A variable that specifies an audio backend to use.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_AUDIO_DRIVER "SDL_AUDIO_DRIVER"

DESCRIPTION
By default, SDL will try all available audio backends in a reasonable order until it finds one that can work, but this hint allows the app or user to force a specific driver, such as "pipewire" if, say, you are on PulseAudio but want to try talking to the lower level instead.

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.